Bug 121314 - I18N - Regional Settings are ignored for collected results values
I18N - Regional Settings are ignored for collected results values
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P4 (vote)
: 7.2
Assigned To: Tomas Hurka
issues@profiler
: I18N, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 17:42 UTC by Alexander Kouznetsov
Modified: 2012-04-17 10:02 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kouznetsov 2007-11-06 17:42:54 UTC
Product Version: NetBeans IDE Dev (Build 200711060000)
Java: 1.6.0_02; Java HotSpot(TM) Client VM 1.6.0_02-b06
System: Windows XP version 5.1 running on x86; Cp1251; ru_RU (nb)

Regional Settings are ignored for the following collected results values, for example, numbers are always shown as
"###.##" even the decimal delimiter is set as "," in regional settings:
- Self Time value of CPU Live Results and CPU Snapshot Hot Spots
- Percentages in DrillDown
- Time value in CPU Snapshot Call Tree
- Avg. Age of Memory Live Results, snapshots and snapshot comparisons
- Percentages in Thread Details

There are also time values shown as "##:##:##.###" and it doesn't seem to be according regional settings.

However, some values like percentages in Live Results and Snapshots are shown with "," as decimal delimiter.
Comment 1 Jiri Sedlacek 2007-11-06 17:47:06 UTC
Lowering priority, this doesn't affect any functionality nor the user.
Comment 2 Ken Frank 2007-11-06 18:43:24 UTC
I realize that actual time format vs relative and absolute times
can be what is important for profiler,
but if user sees #### in the ui, that does seem like it would be confusing
thus does this really need to be lowered to a p5 ?
mrkan, can you attach a gif ?

also, are the regional settings for time/date the default ones for the locale
you are in ?

finally, are both the first and third tabs of reg settings set to that locale ?
if not, please try that, restart and repeat the case since it might have impact.

ken.frank@sun.com
Comment 3 Alexander Kouznetsov 2007-11-06 18:50:13 UTC
No "#" symbols are shown to user. In this notation "#" substitutes digits. This issue is about using of "." (like 15.5)
instead of "," (like 15,5) specified in Regional Settings. 
Comment 4 Ken Frank 2007-11-29 23:20:51 UTC
to profiler team - isnt it valid that user should see the number separators
in the format of the locale - since it might be confusing if
someone is used to, for example, thousands separator being a comma,
but sees it as a period ie 1.234, they might think it really is 1 and 234/1000
and not one thousand two hundred and thirty four.

I don't know if its this kind of impact in profiler but asking the question.

ken.frank@sun.com
Comment 5 Tomas Hurka 2009-04-08 12:56:40 UTC
Milestone cleanup: future->next
Comment 6 Tomas Hurka 2012-04-13 10:30:35 UTC
Fixed in profiler-main

changeset:   218563:4e4146f24e6d
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Apr 13 12:29:39 2012 +0200
summary:     bugfix #121314 use NumberFormat to convert numbers to strings
Comment 7 Quality Engineering 2012-04-17 10:02:54 UTC
Integrated into 'main-golden', will be available in build *201204170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4e4146f24e6d
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #121314 use NumberFormat to convert numbers to strings


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo